/* *********************************** */
/*    Base Procedure Class ver.1.00    */
/*                      'baseproc.h'   */
/*                    by T.Nakayama    */
/* *********************************** */

#ifndef	_CLASS_BASE_PROCEDURE_
#define _CLASS_BASE_PROCEDURE_

#include "winsbase.h"

/* **************************************************** Constance Value **** */

#define BASEPROC_COMPLETE		WINDOWSBASE_COMPLETE

/* ************************************************************** Class **** */

class BaseProc : public WindowsBase{
private:

protected:

public:
						BaseProc();					// Constructor
	virtual				~BaseProc();				// Destructor
};
typedef BaseProc*		LPBaseProc;

/* ********************************************************** Structure **** */

#ifndef	_STRUCT_EXTRAWINDOWINFO_
#define _STRUCT_EXTRAWINDOWINFO_

#define GWL_WINAPPLICLASS		0
#define GWL_WINPROCCLASS		(sizeof(LONG)*1)
#define GWL_QUITMESSAGE			(sizeof(LONG)*2)
#define GWL_PVOID				(sizeof(LONG)*3)
#define GWL_PARAM				(sizeof(LONG)*4)

typedef struct
{
	LPVOID			pAppli;
	LPBaseProc		pProc;
	LONG			lQuitMsg;
	LPVOID			pVoid;
	LPARAM			lParam;
} EXTRAWINDOWINFO;
typedef EXTRAWINDOWINFO*	LPEXTRAWINDOWINFO;

#endif // _STRUCT_EXTRAWINDOWINFO_

#endif	// _CLASS_BASE_PROCEDURE_
