/* ******************************************************* */
/*    Base Application Registory Manager Class ver.1.01    */
/*                                           'basereg.h'   */
/*                                        by T.Nakayama    */
/* ******************************************************* */

#ifndef _CLASS_BASE_APPLICATION_REGISTORY_MANAGER_
#define _CLASS_BASE_APPLICATION_REGISTORY_MANAGER_

#include "macro.h"
#include "resource.h"
#include "regist.h"

/* ************************************************************** Class **** */

class BaseReg : public Registory{
private:

protected:
	int			_iItems;
	LPTSTR		*_lpszItem;

public:
					BaseReg();						// Constructor
	virtual			~BaseReg();						// Destructor

	virtual int		Initialize(HINSTANCE, int, int);// Initialize

	virtual LONG	DeleteRegistory(void);			// Delete Registory

	virtual int		SetWindowPosition(RECT*);		// Set Window Position
	virtual int		GetWindowPosition(RECT*);		// Get Window Position
};
typedef BaseReg*	LPBaseReg;

#endif // _CLASS_BASE_APPLICATION_REGISTORY_MANAGER_

