/* **************************************** */
/*    Dialogbox Procedure Class ver.1.11    */
/*                            'dlgproc.h'   */
/*                         by T.Nakayama    */
/* **************************************** */

#ifndef _CLASS_DIALOG_PROCEDURE_
#define _CLASS_DIALOG_PROCEDURE_

#include "baseproc.h"

/* **************************************************** Constance Value **** */

#define DIALOG_COMPLETE				BASEPROC_COMPLETE
#define DIALOG_TRUE					0x0000
#define DIALOG_FALSE				0x0001
#define DIALOG_YES					0x0000
#define DIALOG_NO					0x0001
#define DIALOG_CANCEL				0x0002
#define DIALOG_NO_PROCESS			0x0001
#define DIALOG_BLOCKKEYBOARDFOCUS	0x0002

/* ************************************************************** Class **** */

class DlgProc : public BaseProc{
private:

protected:

public:
						DlgProc();						// Constructor
	virtual				~DlgProc();						// Destructor

	virtual int			CenteringDialog(HWND);

	virtual int			Command(HWND, WPARAM, LPARAM);
	virtual int			Notify(HWND, WPARAM, LPARAM);
	virtual int			Paint(HWND, WPARAM, LPARAM);
	virtual int			InitDialog(HWND, WPARAM, LPARAM);
	virtual int			InitDialogAppendix(HWND, WPARAM, LPARAM);
	virtual BOOL		DlgProcedure(HWND, UINT, WPARAM, LPARAM);
};
typedef DlgProc*	LPDlgProc;

#endif // _CLASS_DIALOG_PROCEDURE_
