/* ***************************************** */
/*    Keyboard Accelerator Class ver.1.10    */
/*                          'keyaccel.cpp'   */
/*                          by T.Nakayama    */
/* ***************************************** */

#include "keyaccel.h"

/* ************************************************************************* */
/*    Constructor                                                            */
/* ************************************************************************* */

KeyAccel :: KeyAccel()
 :	_hWnd(0), _hAccel(0)
{
}

/* ************************************************************************* */
/*    Destructor                                                             */
/* ************************************************************************* */

KeyAccel :: ~KeyAccel()
{
}

/* ************************************************************************* */
/*    Set Window Handle                                                      */
/* ************************************************************************* */

HWND KeyAccel :: SetWindowHandle(HWND hWnd)
{
	HWND	hWndOld;

	hWndOld = _hWnd;
	_hWnd = hWnd;
	return(hWndOld);
}

/* ************************************************************************* */
/*    Get Window Handle                                                      */
/* ************************************************************************* */

inline HWND KeyAccel :: GetWindowHandle(void)
{
	return(_hWnd);
}

/* ************************************************************************* */
/*    Set Accelerator Handle                                                 */
/* ************************************************************************* */

HACCEL KeyAccel :: SetAcceleratorHandle(HACCEL hAccel)
{
	HACCEL	hAccelOld;

	hAccelOld = _hAccel;
	_hAccel = hAccel;
	return(hAccelOld);
}

/* ************************************************************************* */
/*    Get Accelerator Handle                                                 */
/* ************************************************************************* */

inline HACCEL KeyAccel :: GetAcceleratorHandle(void)
{
	return(_hAccel);
}

