/* *********************************************** */
/*    MIDI to EDPLAY Application Class ver.1.00    */
/*                                  'm2eapp.cpp'   */
/*                                by T.Nakayama    */
/* *********************************************** */

#include "m2eapp.h"

/* ************************************************************************* */
/*    Constructor                                                            */
/* ************************************************************************* */

Midi2EdAppli :: Midi2EdAppli()
{
}

/* ************************************************************************* */
/*    Destructor                                                             */
/* ************************************************************************* */

Midi2EdAppli :: ~Midi2EdAppli()
{
}

/* ************************************************************************* */
/*    Create Windows Procedure Class                                         */
/* ************************************************************************* */

LPWinProc Midi2EdAppli :: CreateProcedure(
	LPAppRes pAppRes, LPKeyAccel pKeyAccel)
{
	Midi2EdProc	*pWinProc;

	pWinProc = new Midi2EdProc;
	if(_pAppli)
		pWinProc->SetAppliClass(_pAppli);
	if(_pAppReg)
		pWinProc->SetAppRegClass(_pAppReg);
	pWinProc->Initialize(pAppRes, pKeyAccel);

	return(pWinProc);
}

