/* *************************************** */
/*    Convert SMF to MML Class ver.1.00    */
/*                           'smf2mml.h'   */
/*                        by T.Nakayama    */
/* **************************************** */

#ifndef _CLASS_SMF2MML_
#define _CLASS_SMF2MML_

#include <vector>
using namespace std;

#include "macro.h"
#include "smfdata.h"
#include "mmldata.h"

/* **************************************************** Constance Value **** */

#define SMF2MML_COMPLETE			0x0000

#define SMFSTATUS_REST				0x0000
#define SMFSTATUS_NOTEON			0x0001

/* ************************************************************** Class **** */

class Smf2Mml{
private:

public:
							Smf2Mml();
	virtual					~Smf2Mml();

	virtual int				Convert(LPSmfData, LPMmlData);
	virtual int				ConvertChannel(int, LPSmfTrack, LPMmlChannel);
	virtual int				GetChannelCount(LPSmfTrack,
											LPDWORD pdwChannel = NULL);
	virtual BYTE			GetFunctionCode(LPBYTE);

};
typedef Smf2Mml*	LPSmf2Mml;

#endif	// _CLASS_SMF2MML_
