/* ************************************************ */
/*    About Dialogbox Application Class ver.1.00    */
/*                                 'aboutapp.cpp'   */
/*                                 by T.Nakayama    */
/* ************************************************ */

#include "aboutapp.h"

/* ************************************************************************* */
/*    Constructor                                                            */
/* ************************************************************************* */

DlgAboutAppli :: DlgAboutAppli()
{
}

/* ************************************************************************* */
/*    Destructor                                                             */
/* ************************************************************************* */

DlgAboutAppli :: ~DlgAboutAppli()
{
}

/* ************************************************************************* */
/*    Create Dialogbox                                                       */
/* ************************************************************************* */

int DlgAboutAppli :: CreateDialog_(HINSTANCE hInst, HWND hWnd)
{
	int					iResult;
	LPEXTRAWINDOWINFO	pInfo;
	DLGPROC				fpDialog;

	pInfo = new EXTRAWINDOWINFO;
	memset(pInfo, 0, sizeof(EXTRAWINDOWINFO));
	pInfo->pAppli = this;
	pInfo->pProc = CreateDlgProcedure();
	pInfo->lQuitMsg = FALSE;
	pInfo->pVoid = NULL;
	pInfo->lParam = 0L;
	fpDialog = (DLGPROC)MakeProcInstance(DlgProcedure, hInst);
	iResult = DialogBoxParam(hInst, MAKEINTRESOURCE(IDD_ABOUT),
		hWnd, fpDialog, (LPARAM)pInfo);
	FreeProcInstance(fpDialog);
	_DELETE(pInfo->pProc);
	_DELETE(pInfo);
	return(iResult);
}

/* ************************************************************************* */
/*    Create Dialog Procedure Class                                          */
/* ************************************************************************* */

inline LPDlgProc DlgAboutAppli :: CreateDlgProcedure(void)
{
	return(new DlgAboutProc);
}

