/* ********************************************** */
/*    About Dialogbox Procedure Class ver.1.00    */
/*                                 'aboutprc.h'   */
/*                               by T.Nakayama    */
/* ********************************************** */

#ifndef _CLASS_DIALOG_ABOUT_PROCEDURE_
#define _CLASS_DIALOG_ABOUT_PROCEDURE_

#include "dlgproc.h"
#include "resource.h"

/* **************************************************** Constance Value **** */

#define DIALOG_ABOUT_EXECUTE_BROWSER	0x0010

/* ************************************************************** Class **** */

class DlgAboutProc : public DlgProc{
private:

protected:
	RECT				_AboutURLRect;
	BOOL				_bAboutURLHit;
	TCHAR				_pszAboutURL[STRING_BUFFER];

public:
						DlgAboutProc();						// Constructor
	virtual				~DlgAboutProc();					// Destructor

	virtual int			Paint(HWND, WPARAM, LPARAM);
	virtual int			InitDialogAppendix(HWND, WPARAM, LPARAM);
	virtual int			NcHitTest(HWND, WPARAM, LPARAM);
	virtual int			SetCursor(HWND, WPARAM, LPARAM);
	virtual BOOL		DlgProcedure(HWND, UINT, WPARAM, LPARAM);
};
typedef DlgAboutProc*	LPDlgAboutProc;

#endif // _CLASS_DIALOG_ABOUT_PROCEDURE_
