/* ********************************* */
/*    Command Line Class ver.1.00    */
/*                     'cmdline.h'   */
/*                  by T.Nakayama    */
/* ********************************* */

#ifndef	_CLASS_COMMAND_LINE_
#define _CLASS_COMMAND_LINE_

#include "macro.h"

/* **************************************************** Constance Value **** */

#define CMDLINE_COMPLETE			0x0000

/* ************************************************************** Class **** */

class CmdLine{
private:

protected:
	int			_iParam;
	LPTSTR		*_pszParam;

public:
						CmdLine();					// Constructor
	virtual				~CmdLine();					// Destructor

	virtual int			SetCmdLine(LPCTSTR);
	virtual int			GetParamCount(void);
	virtual LPCTSTR		GetParam(int);
	virtual int			FreeParam(void);
	virtual int			RemoveQuotation(LPTSTR);
	virtual int			RemoveParamQuotation(int);
};
typedef CmdLine*	LPCmdLine;

#endif	// _CLASS_COMMAND_LINE_
