/* ****************************************** */
/*    Dialogbox Application Class ver.1.00    */
/*                               'dlgapp.h'   */
/*                           by T.Nakayama    */
/* ****************************************** */

#ifndef	_CLASS_DIALOG_APPLICATION_
#define _CLASS_DIALOG_APPLICATION_

#include "baseapp.h"
#include "dlgproc.h"

/* **************************************************** Constance Value **** */

#define DLGAPPLI_COMPLETE			BASEAPPLI_COMPLETE

/* ************************************************************** Class **** */

class DlgAppli : public BaseAppli{
private:

protected:

public:
							DlgAppli();					// Constructor
	virtual					~DlgAppli();				// Destructor

	virtual int				CreateDialog_(HINSTANCE, LPCTSTR, HWND,
								LPARAM lParam = 0, LPVOID pVoid = NULL);

protected:
	virtual LPDlgProc		CreateDlgProcedure(void);

	static BOOL CALLBACK	DlgProcedure(HWND, UINT, WPARAM, LPARAM);
};
typedef DlgAppli*	LPDlgAppli;

#endif	// _CLASS_DIALOG_APPLICATION_
