/* ************************************** */
/*    Global Function Library ver.1.10    */
/*                           'glblib.h'   */
/*                       by T.Nakayama    */
/* ************************************** */

#ifndef	_GLOBAL_LIBRARY_
#define _GLOBAL_LIBRARY_

#include "macro.h"

/* **************************************************** Constance Value **** */

#define LIBRARY_COMPLETE			0x00000000

/* ************************************************************** Class **** */

#ifdef __cplusplus
extern "C" {
#endif

int		Instr(LPCTSTR, TCHAR);

int		IntToStrComma(int, LPTSTR);
int		StrToIntComma(LPCTSTR);

LONG	StrToLongN(LPCTSTR, int);
LONG	StrToLongNBase(LPCTSTR, int, int);
LONG	StrToLong(LPCTSTR);
LONG	StrToLongBase(LPCTSTR, int);

ULONG	StrToUlongN(LPCTSTR, int);
ULONG	StrToUlongNBase(LPCTSTR, int, int);
ULONG	StrToUlong(LPCTSTR);
ULONG	StrToUlongBase(LPCTSTR, int);

BOOL	IsTextFile(LPBYTE, DWORD, LPCTSTR);
BOOL	ReplaceGraphicChar(LPBYTE, DWORD, LPCTSTR, TCHAR);

#ifdef __cplusplus
}
#endif

#endif	// _GLOBAL_LIBRARY_
