/* ***************************************** */
/*    Keyboard Accelerator Class ver.1.10    */
/*                            'keyaccel.h'   */
/*                          by T.Nakayama    */
/* ***************************************** */

#ifndef	_CLASS_KEYBOARD_ACCELERATOR_
#define _CLASS_KEYBOARD_ACCELERATOR_

extern "C"{
#include <windows.h>
}

/* **************************************************** Constance Value **** */

#define KEYACCEL_COMPLETE			0x0000

/* ************************************************************** Class **** */

class KeyAccel{
private:
	HWND		_hWnd;
	HACCEL		_hAccel;

public:
						KeyAccel();						// Constructor
	virtual				~KeyAccel();					// Destructor

	virtual HWND	 	SetWindowHandle(HWND);			// Set Window Handle
	virtual HWND		GetWindowHandle(void);			// Get Window Handle
	virtual HACCEL	 	SetAcceleratorHandle(HACCEL);	// Set Accel. Handle
	virtual HACCEL		GetAcceleratorHandle(void);		// Get Accel. Handle
};
typedef KeyAccel*		LPKeyAccel;

#endif	// _CLASS_KEYBOARD_ACCELERATOR_
