/* ********************************* */
/*    Global Macro Header ver.1.03   */
/*                       'macro.h'   */
/*                  by T.Nakayama    */
/* ********************************* */

#ifdef __cplusplus
extern "C" {
#endif

#include <windows.h>

#ifdef __cplusplus
}
#endif

/* ******************************************************* Global Macro **** */

#ifndef _GLOBAL_MACRO_
#define _GLOABL_MACRO_

#define _DELETE(X)			do{ if(X){ delete X; X = NULL;} }while(0)
#define _DELETEARRAY(X)		do{ if(X){ delete [] X; X = NULL;} }while(0)

#define SIGN(X)				((X == 0) ? 0 : (X > 0) ? 1 : -1)

#define SETMSB(X)			(X | 0x80000000)
#define RESETMSB(X)			(X & 0x7fffffff)
#define CMPMSB(X)			(X & 0x80000000)

#define SETLSB(X)			(X | 0x00000001)
#define RESETLSB(X)			(X & 0xfffffffe)
#define CMPLSB(X)			(X & 0x00000001)

#define SETERRORBIT(X)		(X | 0x80000000)
#define RESETERRORBIT(X)	(X & 0x7fffffff)
#define CMPERRORBIT(X)		(X & 0x80000000)

#endif // _GLOABL_MACRO_

/* ********************************************* Global Constance Value **** */

#ifndef _GLOBAL_CONSTANCE_
#define _GLOBAL_CONSTANCE_

#define STRING_BUFFER			256

#endif // _GLOBAL_CONSTANCE_

