/* ****************************************************************** */
/*    Standard MIDI format Header Block Information Class ver.1.00    */
/*                                                      'smfhead.h'   */
/*                                                   by T.Nakayama    */
/* ****************************************************************** */

#ifndef _CLASS_SMFHEADERBLOCK_
#define _CLASS_SMFHEADERBLOCK_

#include "smfblock.h"

/* ************************************************************** Class **** */

class SmfHeader : public SmfBlock{
private:
	Endian < WORD >		_wFormat;
	Endian < WORD >		_wTrackCount;
	Endian < WORD >		_wDivision;

public:
						SmfHeader();
	virtual				~SmfHeader();

	virtual int			ReadHeader(LPBYTE);
	virtual WORD		GetFormat(void);
	virtual WORD		GetTrackCount(void);
	virtual WORD		GetDivision(void);
};
typedef SmfHeader*	LPSmfHeader;

#endif	// _CLASS_SMFHEADERBLOCK_
