/* ********************************************* */
/*    Variable-Length Quantity Class ver.1.00    */
/*                                  'verlen.h'   */
/*                              by T.Nakayama    */
/* ********************************************* */

#ifndef _CLASS_VARIABLE_LENGTH_QUANTITY_
#define _CLASS_VARIABLE_LENGTH_QUANTITY_

#include "macro.h"

/* **************************************************** Constance Value **** */

#define VARLEN_COMPLETE				0x0000

/* ************************************************************** Class **** */

class VarLen{
private:
	DWORD			_dwValue;
	DWORD			_dwLength;

public:
							VarLen();
	virtual					~VarLen();

	virtual DWORD			GetLength(void);
	virtual DWORD			GetValue(void);
	virtual DWORD			SetValue(DWORD);
	virtual DWORD			ReadVarLen(LPBYTE);
	virtual DWORD			WriteVarLen(DWORD, LPBYTE ptr = NULL);
};
typedef VarLen*		LPVarLen;

#endif	// _CLASS_VARIABLE_LENGTH_QUANTITY_
